/// <summary> /// Create a new Line BoundaryConditions Element. /// All the parameter default as Fixed. /// </summary> /// <param name="hostElement">structural element which provide the hostElementId</param> /// <returns>the created Point BoundaryConditions Element</returns> private Autodesk.Revit.DB.BoundaryConditions CreateLineBC(Autodesk.Revit.DB.Element hostElement) { Autodesk.Revit.Creation.Document createDoc = hostElement.Document.Create; // invoke Document.NewLineBoundaryConditions Method Autodesk.Revit.DB.BoundaryConditions createdBC = createDoc.NewLineBoundaryConditions(hostElement.GetAnalyticalModel(), 0, 0, 0, 0, 0, 0, 0, 0); return(createdBC); }